<div class="content-scroll search-results">
  <div class="wrapper">
    <div class="p-4 text-center mb-3">
      {{#unless this.hasData}}
        <h5 class="no-data text-info mb-3">
          {{t "spotlight-not-data-found"}}
        </h5>
      {{/unless}}

      {{#each-in this.icons as |name icons|}}
        <h5 class="mb-4 mt-5 icon-set-title">
          {{name}}
        </h5>

        {{#if icons.hasMore}}
          <Filters::IconSelector @onSelect={{this.onSelectIcon}} @onDeselect={{this.onDeselectIcon}} @icons={{icons.limitedList}} @value={{this.parent.selectedIconList}} />

          <LinkTo @route="browse.maps.map-view.icon-set" @model={{get (get icons.list 0) "iconSet.id"}} class="btn-view-all-icons mt-2 btn btn-outline-primary btn-sm" data-always-inside="true">
            {{capitalize (t "view more")}}
          </LinkTo>
        {{else}}
          <Filters::IconSelector @onSelect={{this.onSelectIcon}} @onDeselect={{this.onDeselectIcon}} @icons={{icons.list}} @value={{this.parent.selectedIconList}} />
        {{/if}}
      {{/each-in}}
    </div>
  </div>
</div>